Package generic.constraint

# Class DecisionSet

java.lang.Object
generic.constraint.DecisionSet

public class DecisionSet extends Object
The result object returned from a scan of a decision tree looking for property values that match the constrains for some test object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionSet(String propertyName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDecisionPropertyName()`
  Returns the name of the property that was scanned for in the decision tree.
  `List<Decision>`
  `getDecisions()`
  Returns a list of all the decisions whose descision path constraints matched the given test object.
  `List<String>`
  `getValues()`
  Returns a list of property values from decision paths that matched the constraints.
  `boolean`
  `isEmpty()`
  Returns true if this decisionSet has no results.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionSet

    public DecisionSet(String propertyName)

- ## Method Details

  - ### getDecisions

    public List<Decision> getDecisions()
    Returns a list of all the decisions whose descision path constraints matched the given test object.
    Returns:
      a list of all the decisions whose descision path constraints matched the given test object.

  - ### getValues

    public List<String> getValues()
    Returns a list of property values from decision paths that matched the constraints.
    Returns:
      a list of property values from decision paths that matched the constraints.

  - ### getDecisionPropertyName

    public String getDecisionPropertyName()
    Returns the name of the property that was scanned for in the decision tree.
    Returns:
      the name of the property that was scanned for in the decision tree.

  - ### isEmpty

    public boolean isEmpty()
    Returns true if this decisionSet has no results.
    Returns:
      true if this decisionSet has no results.